Want to protect your cyber security and still get fast solutions? Ask a secure question today.Go Premium

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 912
  • Last Modified:

I need this library org.eclipse.ui.part.ViewPart;


Do you know how I can get this library  org.eclipse.ui.part.ViewPart;
0
blarouche
Asked:
blarouche
  • 5
  • 4
1 Solution
 
sciuriwareCommented:
0
 
Ajay-SinghCommented:
0
 
blaroucheAuthor Commented:
Ajay-Singh

I already have Eclipse SDK 3.1.2 and my project is in there.
Do I need to download  "RCP SDK"
0
Industry Leaders: We Want Your Opinion!

We value your feedback.

Take our survey and automatically be enter to win anyone of the following:
Yeti Cooler, Amazon eGift Card, and Movie eGift Card!

 
Ajay-SinghCommented:
You don't have to
0
 
Ajay-SinghCommented:
You can just refer it on the new plugin you are developing
0
 
blaroucheAuthor Commented:

When I import these in my class :

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.FileDialog;
import org.eclipse.ui.part.ViewPart;

I have this error :
the import org.eclipse.ui cannot be resolved
0
 
Ajay-SinghCommented:
double click on plugin.xml, and go to "Dependencies" tab
make sure that, you have "org.eclipse.ui" on the required plugin section

If you don't have, click on add to add it
0
 
blaroucheAuthor Commented:
where do I double click on plugin.xml
0
 
Ajay-SinghCommented:
what is nature of your project? Is it a eclipse plugin project?
0
 
blaroucheAuthor Commented:
OK I found it

thank you
0

Featured Post

Receive 1:1 tech help

Solve your biggest tech problems alongside global tech experts with 1:1 help.

  • 5
  • 4
Tackle projects and never again get stuck behind a technical roadblock.
Join Now